Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class SuperMethodRefForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ClassSpecificReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.SuperMethodRefForm

public class SuperMethodRefForm extends ClassSpecificReferenceForm
This class implements references to methods defined in the superclass, which is set by this class in the OperandManager. Pack200 allows the superclass to be inferred from context; this class tracks previous method reference superclasses to allow this.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuperMethodRefForm(int opcode, String name, int[] rewrite)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `context(OperandManager operandManager)`
  `protected int`
  `getOffset(OperandManager operandManager)`
  `protected int`
  `getPoolID()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ClassSpecificReferenceForm

  `setNestedEntries`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, nestedMustStartClassPool, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SuperMethodRefForm

    public SuperMethodRefForm(int opcode, String name, int[] rewrite)

- ## Method Details

  - ### context

    protected String context(OperandManager operandManager)
    Specified by:
      `context` in class `ClassSpecificReferenceForm`

  - ### getOffset

    protected int getOffset(OperandManager operandManager)
    Specified by:
      `getOffset` in class `ClassSpecificReferenceForm`

  - ### getPoolID

    protected int getPoolID()
    Specified by:
      `getPoolID` in class `ClassSpecificReferenceForm`